## support-bundle redact

Redact information from a generated support bundle archive

### Synopsis

Redaction is the process of masking sensitive information from collected data in a support bundle.
This is done using rules defined in the list of redactor manifests provided in the [urls...] command line
argument. Default built in redactors will also be run, but these would have been run when the support
bundle was generated. After redaction, the support bundle is archived once more. The resulting file will
be stored in the current directory in the path provided by the --output flag.

The [urls...] argument is a list of either oci://.., http://.., https://.. or local paths to yaml files.

For more information on redactors visit https://troubleshoot.sh/docs/redact/
		

```
support-bundle redact [urls...] [flags]
```

### Options

```
      --bundle string   file path of the support bundle archive to redact
  -h, --help            help for redact
  -o, --output string   file path of where to save the redacted support bundle archive (default "redacted-support-bundle-YYYY-MM-DDTHH_MM_SS.tar.gz")
  -q, --quiet           enable/disable error messaging and only show parseable output
```

### Options inherited from parent commands

```
      --cpuprofile string   File path to write cpu profiling data
      --memprofile string   File path to write memory profiling data
```

### SEE ALSO

* [support-bundle](support-bundle.md)	 - Generate a support bundle from a Kubernetes cluster or specified sources

###### Auto generated by spf13/cobra on 15-Sep-2025
